Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvarmulti
Class RandomMultivariateGen

    java.lang.Object
      umontreal.iro.lecuyer.randvarmulti.RandomMultivariateGen

Direct Known Subclasses:
  DirichletGen, MultinormalGen, MultiNormalGen

    public abstract class RandomMultivariateGen

extends Object

This class is the multivariate counterpart of `RandomVariateGen`. It is the base class for general random variate generators over the d-dimensional real space Rd. It specifies the signature of the `nextPoint` method, which is normally called to generate a random vector from a given distribution. Contrary to univariate distributions and generators, here the inversion method is not well defined, so we cannot construct a multivariate generator simply by passing a multivariate distribution and a stream; we must specify a generating method as well. For this reason, this class is abstract. Generators can be constructed only by invoking the constructor of a subclass. This is an important difference with `RandomVariateGen`.

Constructor Summary
`RandomMultivariateGen()`

Method Summary
`int` | `getDimension()` Returns the dimension of this multivariate generator (the dimension of the random points).
`RandomStream` | `getStream()` Returns the `RandomStream` used by this object.
`void` | `nextArrayOfPoints(double[][] v, int start, int n)` Generates n random points.
`abstract void` | `nextPoint(double[] p)` Generates a random point p using the the stream contained in this object.
`void` | `setStream(RandomStream stream)` Sets the `RandomStream` used by this object to `stream`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomMultivariateGen

    public RandomMultivariateGen()

Method Detail

### nextPoint

    public abstract void nextPoint(double[] p)

  Generates a random point p using the the stream contained in this object.

### nextArrayOfPoints

    public void nextArrayOfPoints(double[][] v,
                                  int start,
                                  int n)

  Generates n random points. These points are stored in the array `v`, starting at index `start`. Thus `v[start][i]` contains coordinate i of the first generated point. By default, this method calls `nextPoint` n times, but one can override it in subclasses for better efficiency. The array argument `v[][d]` must have d elements reserved for each generated point before calling this method.

  Parameters:
    `v` - array in which the variates will be stored
    `start` - starting index, in `v`, of the new variates
    `n` - number of variates to generate

### getDimension

    public int getDimension()

  Returns the dimension of this multivariate generator (the dimension of the random points).

### getStream

    public RandomStream getStream()

  Returns the `RandomStream` used by this object.

  Returns:
    the stream associated to this object

### setStream

    public void setStream(RandomStream stream)

  Sets the `RandomStream` used by this object to `stream`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.